# apifox-to-axios-ts

#### 介绍
使用 apifox 的接口文档生成 axios 的类型文件


#### 安装教程

1. 首先需要有 [apifox](https://www.apifox.cn/) 的文档，如果你有其他接口平台的文档，可以将文档导入 apifox
   ![image-20221110063931960](https://img.wuhaochao.top/image-20221110063931960.png)

2. 分享接口文档，并复制分享链接
   ![image-20221110064054812](https://img.wuhaochao.top/image-20221110064054812.png)

3. 执行终端命令，输入相关配置：

   ```bash
   npx apifox-to-axios-ts init
   ? 请输入 apifox 分享的文档地址或 shareId
   ? 请输入输出目录 src/typings
   ? 请输入文件名 apis.d.ts
   ```

4. 创建api文件 (根据自己项目修改)

   ```typescript
   // src/api/index.ts
   import _Axios from 'axios'
   import { AxiosStatic } from '../typings/axios'
   
   const Axios = _Axios as AxiosStatic
   const axios = Axios.create()
   axios.get('/xxx/xxx')
   ```

   ```javascript
   // src/api/index.js
   import _Axios from 'axios'
   
   /** @type { import("../typings/axios").AxiosStatic } */
   const Axios = _Axios
   const axios = Axios.create()
   axios.get('/xxx/xxx')
   ```

   在 js 中也能很好工作！

   ![ezgif.com-gif-maker (1)](https://img.wuhaochao.top/ezgif.com-gif-maker%20(1).gif)
   
5. 更新 apifox 接口文档

   ```bash
   npx apifox-to-axios-ts update
   ```

   
